3

When I am in views UI and I edit an option a modal box appears. I edit some seetings then press save and am displayed with something like:

[{"command":"settings","settings":{"basePath":"/","pathPrefix":"","ajaxPageState":{"theme":"bartik","theme_token":"SUIsCUisas2D3yeSiBkGNwaXtTMtlVVXouHWgoffCYA"}},"merge":true},{"command":"viewsDismissForm"},{"command":"viewsShowButtons"},{"command":"viewsTriggerPreview"},{"command":"insert","method":"html","selector":"#views-tab-block","data":"\u003Cdiv id=\u0022edit-display-settings-details\u0022\u003E\u003Cdiv id=\u0022edit-display-settings-top\u0022 class=\u0022views-ui-display-tab-actions views-ui-display-tab-bucket clearfix\u0022\u003E\u003Cdiv class=\u0022ctools-no-js ctools-button ctools-dropbutton\u0022\u003E\u003Cdiv class=\u0022ctools-link\u0022\u003E\u003Ca href=\u0022#\u0022 class=\u0022ctools-twisty ctools-text\u0022\u003Eopen\u003C/a\u003E\u003C/div\u003E\u003Cdiv class=\u0022ctools-content\u0022\u003E\u003Cul class=\u0022horizontal right actions\u0022\u003E\u003Cli class=\u0022duplicate ...

What could be going wrong?

2
  • 1
    make sure you use the default jQuery Version (1.5) when using viewsUI
    – rémy
    Feb 14, 2013 at 16:24
  • @rémy that is the answer. I you add it then I will mark it as correct.
    – user13134
    Feb 15, 2013 at 8:44

3 Answers 3

2

Make sure you use the default jQuery version (1.5) when using The Views UI module.

0
1

It seems that also using JQuery version (1.7) can also be used with the views UI module. It works well with JQuery version (1.5) in Drupal 7. I checked with both versions of the JQuery and it works. Not working properly with JQuery 1.8.

You can follow this thread in drupal.org if you would like to have more information or suscribe http://drupal.org/node/1869988

The version of the views that I am using is 7.x-3.7

1
  • I'm using a patch that allows a different version of jQuery on the front-end and admin. So I'm using the default on admin and 1.7 on the front-end, but I still get JSON returned when saving, but it's not just on views, I get it when saving nodes :s Nov 5, 2013 at 14:07
0

use jquery version 1.5 it best works with views_ui.

Not the answer you're looking for? Browse other questions tagged or ask your own question.